# adb-commander

provide adb(Android Debug Bridge) command functions

## Examples

### deviceList

```javascript

adbCommander.deviceList().then((deviceList, err) => {
  if (err) {
    console.error('fail to execute adb devices')
    return
  }
  if (deviceList.length > 0) {
    console.info(`devices is ${deviceList.join(',')}`)
  }
})

```
### install isInstalled

```javascript

adbCommander.install(apkPath)
    .then(({result, err}) => {
        if (err) {
            console.error('install failed')
        }
        adbCommander.isInstalled(deviceSn, 'org.hapjs.debugger').then(({isInstalled, err}) => {
            if(isInstalled === true){
                console.log('org.hapjs.debugger is installed')
            }
        })

     })
)

```

### unInstall

```javascript

adbCommander.unInstall( deviceSn, 'org.hapjs.debugger')
    .then(({result, err}) => {
        if (err) {
            console.error('unInstall failed')
        }
        adbCommander.isInstalled(deviceSn, 'org.hapjs.debugger').then(({isInstalled, err}) => {
            if(isInstalled === false){
                console.log('org.hapjs.debugger is unInstalled')
            }
        })
     })
)

```
### startActivity

```javascript

adbCommander.startActivity(deviceSn,
    action,
    component,
    extra
  ).then(({result, err }) => {
    if (err) {
         console.error('startActivity failed')
         return
    }
    console.log('start activity result', {result, err })
  })

```